Bug 973421 - keepassx buggy column width adjustment
keepassx buggy column width adjustment
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: keepassx (Show other bugs)
19
All Linux
low Severity low
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 18:08 EDT by Jeff Bastian
Modified: 2015-02-17 10:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:32:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
keepassx columns screenshot (62.88 KB, image/png)
2013-06-11 18:09 EDT, Jeff Bastian
no flags Details

  None (edit)
Description Jeff Bastian 2013-06-11 18:08:46 EDT
Description of problem:
If you try to adjust the width of the columns in KeePassX, the columns shift in all kinds of interesting and odd ways.  For example, if you have columns
  Title | Username | URL
and you shrink the Username column by dragging left the handle between Username and URL, it moves the URL column to the right creating a gap
  Title | Username | gap | URL

See the attached screenshot.

Version-Release number of selected component (if applicable):
keepassx-0.4.3-7.fc19.x86_64

How reproducible:
every time

Steps to Reproduce:
1. Open KeePassX and create a new database
2. Select the Internet group
3. Add a new entry with "test" for Title, Username, URL and Password
4. Select the column handle between Username and URL columns and drag
   to the _left_

Actual results:
the URL column moves to the _right_ leaving a large empty gap between
the Username and URL columns

Expected results:
The Username column shrinks and the URL column moves to the left

Additional info:
Comment 1 Jeff Bastian 2013-06-11 18:09:37 EDT
Created attachment 759882 [details]
keepassx columns screenshot
Comment 2 Fedora End Of Life 2015-01-09 13:23:44 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 10:32:26 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.